# Uses of Class
org.eclipse.jdt.core.dom.BlockComment

Packages that use BlockComment
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of BlockComment in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return BlockComment
Modifier and Type
Method
Description
`BlockComment`
AST.`newBlockComment()`
Creates and returns a new block comment placeholder node.
Methods in org.eclipse.jdt.core.dom with parameters of type BlockComment
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(BlockComment node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(BlockComment node, Object other)`
Returns whether the given node and the other object match.
`boolean`
ASTVisitor.`visit(BlockComment node)`
Visits the given type-specific AST node.